petsc-3.12.4 2020-02-04
Report Typos and Errors

# TSSetEquationType

Sets the type of the equation that TS is solving.

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSSetEquationType(TS ts,TSEquationType equation_type)

Not Collective

### Input Parameter

| ts | - the TS context
| equation_type | - see TSEquationType

### See Also

TSGetEquationType(), TSEquationType

### Level

advanced

### Location

src/ts/interface/ts.c

### Examples

src/ts/examples/tutorials/ex25.c.html
src/ts/examples/tutorials/ex35.cxx.html
src/ts/examples/tutorials/ex20adj.c.html
src/ts/examples/tutorials/ex20opt_p.c.html
src/ts/examples/tutorials/ex20opt_ic.c.html
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages